#pragma once

#include "ofxiOS.h"
#include "ofxCv.h"
#include "ofxOpenCv.h"

class ofApp : public ofxiOSApp{
	
    public:
        void setup();
        void update();
        void draw();
        void exit();
	
        void touchDown(ofTouchEventArgs & touch);
        void touchMoved(ofTouchEventArgs & touch);
        void touchUp(ofTouchEventArgs & touch);
        void touchDoubleTap(ofTouchEventArgs & touch);
        void touchCancelled(ofTouchEventArgs & touch);

        void lostFocus();
        void gotFocus();
        void gotMemoryWarning();
        void deviceOrientationChanged(int newOrientation);
    
        ofVideoGrabber cam;     //カメラ用変数
        ofTexture customColor;  //カスタム色画像用変数
        unsigned char * pix;    //カスタム色画像のピクセルを保存するための変数
    
        //各種エフェクト用変数
        ofImage gray, blur, edge, comic, thresh, eroded, dilated;
};
